From 0347f09003cf39b7505da0dfc45d0bc5705766a4 Mon Sep 17 00:00:00 2001
From: Kanika Murarka <kmurarka@localhost.localdomain>
Date: Sep 14 2016 19:53:01 +0000
Subject: [PATCH 637/1001] Integrated contact widget and Karma


---

diff --git a/hubs/defaults.py b/hubs/defaults.py
index 706bb03..2a27612 100755
--- a/hubs/defaults.py
+++ b/hubs/defaults.py
@@ -17,6 +17,13 @@ def add_user_widgets(session, hub, username, fullname):
 
     # Right Side Widgets
     widget = hubs.models.Widget(
+        plugin='contact', index=-2,
+            _config=json.dumps({
+                'username': username,
+            }))
+    hub.widgets.append(widget)
+
+    widget = hubs.models.Widget(
         plugin='meetings', index=-1,
         _config=json.dumps({
             'calendar': 'Fedora release',
diff --git a/hubs/widgets/__init__.py b/hubs/widgets/__init__.py
index 6423e3e..5f416ed 100755
--- a/hubs/widgets/__init__.py
+++ b/hubs/widgets/__init__.py
@@ -17,6 +17,7 @@ from hubs.widgets import githubissues
 from hubs.widgets import bugzilla
 from hubs.widgets import fhosted
 from hubs.widgets import memberships
+from hubs.widgets import contact
 
 from hubs.widgets.workflow import pendingacls
 from hubs.widgets.workflow import updates2stable
@@ -43,6 +44,7 @@ registry = {
     'bugzilla': bugzilla,
     'fedorahosted': fhosted,
     'memberships': memberships,
+    'contact': contact,
 
     'workflow.pendingacls': pendingacls,
     'workflow.updates2stable': updates2stable,
diff --git a/hubs/widgets/contact.py b/hubs/widgets/contact.py
new file mode 100644
index 0000000..b1f4df8
--- /dev/null
+++ b/hubs/widgets/contact.py
@@ -0,0 +1,58 @@
+from hubs.widgets.chrome import panel
+from hubs.widgets import templating
+
+import hubs.models
+import fedmsg.config
+import fedmsg.meta
+import datetime
+
+config = fedmsg.config.load_config()
+
+chrome = panel()
+template = templating.environment.get_template('templates/contact.html')
+position = 'both'
+
+
+# TODO: update this section when FAS3 is deployed
+def data(session, widget, **kwargs):
+    hub = widget.hub
+    if hub.user_hub:
+        usergroup = True
+        user = hubs.models.User.by_username(session, hub.name)
+        email = user.username + '@fedoraproject.org'
+        fas_info = {
+                    'usergroup': usergroup,
+                    'location': 'United States',
+                    'timezone': 'UTC',
+                    'email': email,
+                    'ircnick': user.username,
+                    'account_age': 'Oct 2010',
+                   }
+    else:
+        usergroup = False
+        # TODO: update this section integrating with FAS3
+        if hub.name == 'infrastructure':
+            ircchannel = 'apps'
+            hubname = 'infrastructure'
+        elif hub.name == 'designteam':
+            ircchannel = 'design'
+            hubname = 'design'
+        elif hub.name == 'commops':
+            ircchannel == 'commops'
+            hubname = 'commops'
+        elif hub.name == 'marketing':
+            ircchannel = 'mktg'
+            hubname = 'marketing'
+        else:
+            ircchannel = hub.name
+            hubname = hub.name
+        mailinglist = 'https://lists.fedoraproject.org/archives/list/{}@lists.fedoraproject.org/'.format(hubname)
+        wikilink = 'https://fedoraproject.org/wiki/' + hubname
+        fas_info = {
+                    'usergroup': usergroup,
+                    'hubname': hubname,
+                    'ircchannel': 'fedora-%s'%ircchannel,
+                    'mailinglist': mailinglist,
+                    'wikilink': wikilink,
+                   }
+    return fas_info
diff --git a/populate.py b/populate.py
index 986d5b5..5c34700 100755
--- a/populate.py
+++ b/populate.py
@@ -26,6 +26,8 @@ hub = hubs.models.Hub(
     name='i18n', summary='The Internationalization Team', archived=True)
 session.add(hub)
 
+widget = hubs.models.Widget(plugin='contact', index=-1)
+hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='stats', index=0)
 hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='rules', index=1,
@@ -69,6 +71,8 @@ session.commit()
 hub = hubs.models.Hub(name='commops', summary='The Fedora Community Operations Team')
 session.add(hub)
 
+widget = hubs.models.Widget(plugin='contact', index=-1)
+hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='stats', index=0)
 hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='rules', index=1,
@@ -114,6 +118,8 @@ session.commit()
 hub = hubs.models.Hub(name='marketing', summary='The Fedora Marketing Team')
 session.add(hub)
 
+widget = hubs.models.Widget(plugin='contact', index=-1)
+hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='stats', index=0)
 hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='rules', index=1,
@@ -160,6 +166,8 @@ session.commit()
 hub = hubs.models.Hub(name='designteam', summary='The Fedora Design Team')
 session.add(hub)
 
+widget = hubs.models.Widget(plugin='contact', index=-1)
+hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='stats', index=0)
 hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='rules', index=1,
@@ -207,6 +215,8 @@ session.commit()
 hub = hubs.models.Hub(name='infrastructure', summary='The Fedora Infra Team')
 session.add(hub)
 
+widget = hubs.models.Widget(plugin='contact', index=-1)
+hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='stats', index=0)
 hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='rules', index=1,

